Citrix Hypervisor

新增功能

Citrix 的目标是在 Citrix Hypervisor Cloud 客户准备就绪后立即向其提供新增功能和产品更新。新版本会带来更多的价值,应立即将更新告知客户。以分阶段的递增方式提供更新有助于确保产品质量并最大程度地保证可用性。

我们将频繁发布 Citrix Hypervisor 8 Cloud 版本流的更新。使用 Citrix Cloud 在您方便时将这些更新应用到 Citrix Hypervisor 池。

自 Citrix Hypervisor 8.2 LTSR 以来发生的变化

  • 证书验证功能可确保管理网络上的所有 TLS 通信端点能够在传输机密信息之前验证用于标识其对等方通信端点的证书。有关更多信息,请参阅证书验证

  • Winbind 替代了 PBIS,用于在 AD 服务器中对 Active Directory (AD) 用户进行身份验证,并加密与 AD 服务器进行的通信。升级时会自动进行此替换。如果果升级到 Citrix Hypervisor 8 Cloud 后外部身份验证不起作用(这种情况不太可能),请退出 AD 域并重新加入该域。

    此更改会导致行为存在一些细微差异:

    • 使用命令 xe pool-enable-external-auth 加入域时,参数 config:disable_modules 现在将被忽略。此参数特定于 PBIS。
    • 对于命令 xe pool-enable-external-auth,在指定多层 OU config:ou=a/b/cconfig:ou=c,ou=b,ou=a 时,参数 config:ou 现在支持以下任一格式。
    • Winbind 每隔 14 天或按照配置选项 winbind_machine_pwd_timeout 的规定自动更新计算机帐户密码。
    • Winbind 不支持以下场景:

      • 域用户或域组名称开头或结尾的空格。
      • 包含 64 个或更多字符的域用户名。
      • 包含任何特殊字符 +<>”=/%@:,;\` 的域用户名
      • 包含任何特殊字符 ,;\` 的域组名称

    有关详细信息,请参阅 Winbind

  • 更改了来宾操作系统支持。

    增加了对以下操作系统的支持:

    • Debian Bullseye 11(实验性)

    不再支持以下操作系统:

    • Windows Server 2012 R2
    • SUSE Linux Enterprise Desktop 12
    • CentOS 8
    • Debian 8
    • Debian 9
  • PuTTY 不再与 Citrix Hypervisor Center(以前是 XenCenter)捆绑在一起。要使用 Citrix Hypervisor Center 启动 Citrix Hypervisor 服务器的 SSH 控制台,必须安装外部 SSH 控制台工具,并确保将 Citrix Hypervisor Center 配置为使用该工具。有关详细信息,请参阅将 Citrix Hypervisor Center 配置为使用外部 SSH 控制台

  • Citrix Hypervisor 8 Cloud 不再支持以下功能:

    • 旧版分区布局
    • 运行状况检查
    • 动态内存控制
    • 标准引导补充包
  • Citrix Hypervisor 安装中不再包含以下 Broadcom 二进制文件:

    • elxocmcore
    • elxocmcorelibs
    • hbaapiwrapper

    要从 Broadcom Emulex 下载页面下载这些二进制文件,请完成以下步骤:

    1. 转到管理软件和工具部分。
    2. 下载适用于 Citrix XenServer 的 Emulex HBA 管理器核心应用程序套件 (CLI)
  • Citrix Hypervisor 安装中不再包含以下 Marvell 命令行二进制文件:

    • 适用于 Citrix 的 QConvergeConsole CLI (QCC)
    • QCS

    要从 Marvell QLogic 下载页面下载 QCC,请完成以下步骤:

    1. 选择适配器选项卡。
    2. 在左侧面板中,选择适配器的类型。
    3. 在中间面板中,选择适配器的型号。
    4. 在右侧面板中,选择 Citrix Hypervisor
    5. 单击*转到。您将被重定向到包含可用下载内容的页面。
    6. 下载适用于 Citrix 的 QConvergeConsole CLI (QCC)

    要安装此应用程序,请按照《 QConvergeConsole 命令行实用程序用户指南》中的说明进行操作。

新增功能